Subject: Re: bug#17895: 24.3.91; electric-indent-mode not quite right with comments in fortran-mode

From: "Roland Winkler" <[email-masked]>
Date: Wed, 2 Jul 2014 16:50:46 -0500

On Wed Jul 2 2014 Glenn Morris wrote:
> Do you have any concrete suggestions for changing Emacs's
> fortran-mode in light of this report?

For me, in fortran-mode the electric-indent-mode moves point
too fast too far ahead.  I find this beavior distracting in
fortran-mode.  (Yes, the fortran codes I work with do have a good
percentage of comment lines plus some continuation lines.)  That's
why I suggested that electric-indent-chars should be locally bound
to nil in fortran-mode.

If that's not acceptable to you as default behavior, I have right
now nothing else to suggest.  I guess I'll set up the local binding
in my .emacs.  Not a big deal.

We'll see whether anybody else might find the current behavior an
issue.

Roland